Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xerces.xni.parser
Class XMLInputSource

    java.lang.Object
      weblogic.apache.xerces.xni.parser.XMLInputSource

Deprecated. please use JDK supplied XML parsers and transformers

    public class XMLInputSource

extends Object

This class represents an input source for an XML document. The basic properties of an input source are the following:

- public identifier
- system identifier
- byte stream or character stream

Field Summary
`protected String` | `fBaseSystemId` Deprecated. Base system identifier.
`protected InputStream` | `fByteStream` Deprecated. Byte stream.
`protected Reader` | `fCharStream` Deprecated. Character stream.
`protected String` | `fEncoding` Deprecated. Encoding.
`protected String` | `fPublicId` Deprecated. Public identifier.
`protected String` | `fSystemId` Deprecated. System identifier.

Constructor Summary
`XMLInputSource(String publicId, String systemId, String baseSystemId)` Deprecated. Constructs an input source from just the public and system identifiers, leaving resolution of the entity and opening of the input stream up to the caller.
`XMLInputSource(String publicId, String systemId, String baseSystemId, InputStream byteStream, String encoding)` Deprecated. Constructs an input source from a byte stream.
`XMLInputSource(String publicId, String systemId, String baseSystemId, Reader charStream, String encoding)` Deprecated. Constructs an input source from a character stream.
`XMLInputSource(XMLResourceIdentifier resourceIdentifier)` Deprecated. Constructs an input source from a XMLResourceIdentifier object, leaving resolution of the entity and opening of the input stream up to the caller.

Method Summary
`String` | `getBaseSystemId()` Deprecated. Returns the base system identifier.
`InputStream` | `getByteStream()` Deprecated. Returns the byte stream.
`Reader` | `getCharacterStream()` Deprecated. Returns the character stream.
`String` | `getEncoding()` Deprecated. Returns the encoding of the stream, or null if not known.
`String` | `getPublicId()` Deprecated. Returns the public identifier.
`String` | `getSystemId()` Deprecated. Returns the system identifier.
`void` | `setBaseSystemId(String baseSystemId)` Deprecated. Sets the base system identifier.
`void` | `setByteStream(InputStream byteStream)` Deprecated. Sets the byte stream.
`void` | `setCharacterStream(Reader charStream)` Deprecated. Sets the character stream.
`void` | `setEncoding(String encoding)` Deprecated. Sets the encoding of the stream.
`void` | `setPublicId(String publicId)` Deprecated. Sets the public identifier.
`void` | `setSystemId(String systemId)` Deprecated. Sets the system identifier.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fPublicId

    protected String fPublicId

  Deprecated.
  Public identifier.

### fSystemId

    protected String fSystemId

  Deprecated.
  System identifier.

### fBaseSystemId

    protected String fBaseSystemId

  Deprecated.
  Base system identifier.

### fByteStream

    protected InputStream fByteStream

  Deprecated.
  Byte stream.

### fCharStream

    protected Reader fCharStream

  Deprecated.
  Character stream.

### fEncoding

    protected String fEncoding

  Deprecated.
  Encoding.

Constructor Detail

### XMLInputSource

    public XMLInputSource(String publicId,
                          String systemId,
                          String baseSystemId)

  Deprecated.
  Constructs an input source from just the public and system identifiers, leaving resolution of the entity and opening of the input stream up to the caller.

  Parameters:
    `publicId` - The public identifier, if known.
    `systemId` - The system identifier. This value should always be set, if possible, and can be relative or absolute. If the system identifier is relative, then the base system identifier should be set.
    `baseSystemId` - The base system identifier. This value should always be set to the fully expanded URI of the base system identifier, if possible.

### XMLInputSource

    public XMLInputSource(XMLResourceIdentifier resourceIdentifier)

  Deprecated.
  Constructs an input source from a XMLResourceIdentifier object, leaving resolution of the entity and opening of the input stream up to the caller.

  Parameters:
    `resourceIdentifier` - the XMLResourceIdentifier containing the information

### XMLInputSource

    public XMLInputSource(String publicId,
                          String systemId,
                          String baseSystemId,
                          InputStream byteStream,
                          String encoding)

  Deprecated.
  Constructs an input source from a byte stream.

  Parameters:
    `publicId` - The public identifier, if known.
    `systemId` - The system identifier. This value should always be set, if possible, and can be relative or absolute. If the system identifier is relative, then the base system identifier should be set.
    `baseSystemId` - The base system identifier. This value should always be set to the fully expanded URI of the base system identifier, if possible.
    `byteStream` - The byte stream.
    `encoding` - The encoding of the byte stream, if known.

### XMLInputSource

    public XMLInputSource(String publicId,
                          String systemId,
                          String baseSystemId,
                          Reader charStream,
                          String encoding)

  Deprecated.
  Constructs an input source from a character stream.

  Parameters:
    `publicId` - The public identifier, if known.
    `systemId` - The system identifier. This value should always be set, if possible, and can be relative or absolute. If the system identifier is relative, then the base system identifier should be set.
    `baseSystemId` - The base system identifier. This value should always be set to the fully expanded URI of the base system identifier, if possible.
    `charStream` - The character stream.
    `encoding` - The original encoding of the byte stream used by the reader, if known.

Method Detail

### setPublicId

    public void setPublicId(String publicId)

  Deprecated.
  Sets the public identifier.

  Parameters:
    `publicId` - The new public identifier.

### getPublicId

    public String getPublicId()

  Deprecated.
  Returns the public identifier.

### setSystemId

    public void setSystemId(String systemId)

  Deprecated.
  Sets the system identifier.

  Parameters:
    `systemId` - The new system identifier.

### getSystemId

    public String getSystemId()

  Deprecated.
  Returns the system identifier.

### setBaseSystemId

    public void setBaseSystemId(String baseSystemId)

  Deprecated.
  Sets the base system identifier.

  Parameters:
    `baseSystemId` - The new base system identifier.

### getBaseSystemId

    public String getBaseSystemId()

  Deprecated.
  Returns the base system identifier.

### setByteStream

    public void setByteStream(InputStream byteStream)

  Deprecated.
  Sets the byte stream. If the byte stream is not already opened when this object is instantiated, then the code that opens the stream should also set the byte stream on this object. Also, if the encoding is auto-detected, then the encoding should also be set on this object.

  Parameters:
    `byteStream` - The new byte stream.

### getByteStream

    public InputStream getByteStream()

  Deprecated.
  Returns the byte stream.

### setCharacterStream

    public void setCharacterStream(Reader charStream)

  Deprecated.
  Sets the character stream. If the character stream is not already opened when this object is instantiated, then the code that opens the stream should also set the character stream on this object. Also, the encoding of the byte stream used by the reader should also be set on this object, if known.

  Parameters:
    `charStream` - The new character stream.
  See Also:
    `XMLInputSource.setEncoding(java.lang.String)`

### getCharacterStream

    public Reader getCharacterStream()

  Deprecated.
  Returns the character stream.

### setEncoding

    public void setEncoding(String encoding)

  Deprecated.
  Sets the encoding of the stream.

  Parameters:
    `encoding` - The new encoding.

### getEncoding

    public String getEncoding()

  Deprecated.
  Returns the encoding of the stream, or null if not known.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD